package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Jsacbs extends AbstractCommonVo {
    private Cbb max;

    private Cbb max1;

    private Cbb opn1;

    private Cbb max2;

    private Cbb opn2;

    private Cbb max3;

    private Cbb opn3;

    private Cbb max4;

    private Cbb opn4;

    @Override
    public void reset() {
        if (max == null) {
            max = new Cbb();
        }
        if (max1 == null) {
            max1 = new Cbb();
        }
        if (opn1 == null) {
            opn1 = new Cbb();
        }
        if (max2 == null) {
            max2 = new Cbb();
        }
        if (opn2 == null) {
            opn2 = new Cbb();
        }
        if (max3 == null) {
            max3 = new Cbb();
        }
        if (opn3 == null) {
            opn3 = new Cbb();
        }
        if (max4 == null) {
            max4 = new Cbb();
        }
        if (opn4 == null) {
            opn4 = new Cbb();
        }
    }

}
